[dpdk-dev] [PATCH] devtools: list stable commits do not have fixline

Yuanhan Liu yuanhan.liu at linux.intel.com
Fri Apr 28 09:21:54 CEST 2017


Some commits for stable releases (with Cc stable tag) may not have the
fixline. For example:
    http://dpdk.org/dev/patchwork/patch/23955/

It disables a feature we have implemented in last release. The feature
is done right. It's the QEMU implementaton being buggy, that we have to
disable it to workaround those buggy QEMU releases (v2.7 - v2.9). Without
such workaround, QEMU won't start when queue number >= 2.

That said, we also have to backport it to stable releases, though there
is no fixline (there was no DPDK bug to fix after all).

There should be similar cases like this. Thus, this patch makes
git-log-fixes.sh script also list those stable commits do not have
fixline.

Signed-off-by: Yuanhan Liu <yuanhan.liu at linux.intel.com>
---
 devtools/git-log-fixes.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/devtools/git-log-fixes.sh b/devtools/git-log-fixes.sh
index 3bf412e..7404946 100755
--- a/devtools/git-log-fixes.sh
+++ b/devtools/git-log-fixes.sh
@@ -116,7 +116,8 @@ stable_tag () # <hash>
 git log --oneline --reverse $range |
 while read id headline ; do
 	origins=$(origin_filter $id)
-	[ -n "$origins" ] || echo "$headline" | grep -q fix || continue
+	stable=$(stable_tag $id)
+	[ "$stable" = "S" ] || [ -n "$origins" ] || echo "$headline" | grep -q fix || continue
 	version=$(commit_version $id)
 	if [ -n "$origins" ] ; then
 		origver="$(origin_version $origins)"
@@ -126,6 +127,5 @@ while read id headline ; do
 	else
 		origver='N/A'
 	fi
-	stable=$(stable_tag $id)
 	printf '%s %7s %s %s (%s)\n' $version $id $stable "$headline" "$origver"
 done
-- 
1.9.0



More information about the dev mailing list